BSON_STRING_TRUNCATE(3)

NAME
bson_string_truncate - bson_string_truncate()

SYNOPSIS

void
bson_string_truncate (bson_string_t *string, uint32_t len);

PARAMETERS

•   string: A bson_string_t.

•   len: The new length of the string, excluding the trailing \0.

DESCRIPTION

Truncates the string so that it is len bytes in length. This must be smaller or equal to the current length of the string.

A \0 byte will be placed where the end of the string occurs.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc